import org.dom4j.Document;
import org.dom4j.DocumentFactory;
import org.dom4j.io.SAXReader;
import org.dom4j.Element;
import java.util.List;
import java.util.HashMap;
import java.net.URLEncoder;

public class TwitterSearch {

  public static void main(String[] args) throws Exception {

    HashMap<String, String> map = new HashMap<String, String>();
    map.put("atom", "http://www.w3.org/2005/Atom");
    DocumentFactory factory = DocumentFactory.getInstance();
    factory.setXPathNamespaceURIs(map);

    String query = args[0];
    query = URLEncoder.encode(query, "UTF-8");

    SAXReader reader = new SAXReader();
    EasyHTTPGet getter = new EasyHTTPGet(
      "http://search.twitter.com/search.atom?q=" + query
    );

    Document document = reader.read(getter.responseAsInputStream());
    List entries = document.selectNodes("//atom:entry");

    for (Object o: entries) {
      Element entry = (Element)o;
    
      Element title = (Element)entry.selectSingleNode("atom:title");  
      Element authorName =
        (Element)entry.selectSingleNode("atom:author/atom:name");

      System.out.println(authorName.getText() + ": " + title.getText());
    }
  }

}
